> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# カテゴリサンプルをダウンロード（ZIP）

> 指定したカテゴリの複数サンプルファイルを ZIP ファイルにまとめてダウンロードします。sample_ids を指定しない場合は、すべてのサンプルをダウンロードします。



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/category/sample/batch_download
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/category/sample/batch_download:
    post:
      tags:
        - ファイルカテゴリサンプル
      summary: カテゴリサンプルをダウンロード（ZIP）
      description: >-
        指定したカテゴリの複数サンプルファイルを ZIP ファイルにまとめてダウンロードします。sample_ids
        を指定しない場合は、すべてのサンプルをダウンロードします。
      operationId: batchDownloadCategorySample
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: ワークスペース ID
                  example: '1234567890'
                category_id:
                  type: string
                  description: ファイルカテゴリ ID
                  example: '1234567890'
                sample_ids:
                  type: array
                  description: ダウンロードするサンプル ID のリスト。指定しない場合、このカテゴリのすべてのサンプルをダウンロードします。
                  items:
                    type: string
                  example:
                    - '1234567890'
                    - 987654321
              required:
                - workspace_id
                - category_id
      responses:
        '200':
          description: サンプル ZIP ファイルのダウンロードに成功
          content:
            application/zip:
              schema:
                type: string
                format: binary
components:
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````